Subject: Re: [PATCH 4/5] support reading uncompressed loose object

From: Liu Yubao <[email-masked]>
Date: Wed, 03 Dec 2008 12:09:43 +0800

Shawn O. Pearce wrote:
> Liu Yubao <[email-masked]> wrote:
>> Signed-off-by: Liu Yubao <[email-masked]>
> 
> I'd like to see a bit more of an explanation of the new loose
> object format you are reading in the commit message.  We have a
> long history of explaining *why* the code behaves the way it does
> in our commits, so we can look at it in blame/log and understand
> what the heck went on.
>  
I mentioned in the cover letter sent as patch 0/5, indeed I should
have mentioned it in the commit message again.

An uncompressed loose object is just an uncompressed loose object:

loose object = deflate(typename + <space> + size + '\0' + data)
uncompressed object = inflate(loose object)